# Get a string

`GET https://app.shuttleglobal.com/c/api/instances/{instance_key}/strings/{string_id}`

Returns one string with the wording that currently applies for the language requested.
An id that does not exist returns 200 with no `string` field.

## Authentication

- basicAuth: Basic Authentication using secret key
- bearerAuth: OAuth 2.0 Bearer Token Authentication

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `string_id` | path | string | yes | The string's `id`, e.g. `web.payment_form.card_number`. |
| `language` | query | string | no | Lowercase two-letter ISO 639-1 language code (e.g. `ar`), or `default` for the base wording. Defaults to `default`. |
| `branding` | query | string | no | Enterprise field, for accounts with more than one branding. Leave out to use your own branding. |

## Responses

### 200: The string

```json
{
  "string": {
    "id": "web.payment_form.card_number",
    "text": "رقم البطاقة",
    "language": "ar",
    "branding": "string",
    "overriding": "Card Number"
  }
}
```

### 401: Authentication required

```json
{
  "code": "UNAUTHORIZED",
  "message": "Unauthorised"
}
```

## Example request

```sh
curl --request GET \
  --url https://app.shuttleglobal.com/c/api/instances/YOUR_INSTANCE_KEY/strings/STRING_ID \
  --header 'Authorization: Basic <base64 of SECRET_KEY:>'
```

Reference page: https://docs.shuttleglobal.com/platforms/reference/operations/getstring/